cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PR1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PR1

- All Implemented Interfaces:
    ISegment

      public class PR1
      extends Segment

  PR1 - Procedures Segment.

  The PR1 segment contains information relative to various types of procedures that can be performed on a patient.The PR1 segment can be used to send procedure information, for example: Surgical, Nuclear Medicine, X ray with contrast, etc.

  Represents an HL7 PR1 message segment. This segment has the following fields:

  PR1-1: Set ID - PR1 (SI)Required
  PR1-2: Procedure Coding Method (IS)Withdrawn
  PR1-3: Procedure Code (CNE)Required
  PR1-4: Procedure Description (ST)Withdrawn
  PR1-5: Procedure Date/Time (DTM)Required
  PR1-6: Procedure Functional Type (CWE)Optional
  PR1-7: Procedure Minutes (NM)Optional
  PR1-8: Anesthesiologist (XCN)Withdrawn
  PR1-9: Anesthesia Code (CWE)Optional
  PR1-10: Anesthesia Minutes (NM)Optional
  PR1-11: Surgeon (XCN)Withdrawn
  PR1-12: Procedure Practitioner (XCN)Withdrawn
  PR1-13: Consent Code (CWE)Optional
  PR1-14: Procedure Priority (ID)Optional
  PR1-15: Associated Diagnosis Code (CWE)Optional
  PR1-16: Procedure Code Modifier (CNE)Optional
  PR1-17: Procedure DRG Type (CWE)Optional
  PR1-18: Tissue Type Code (CWE)Optional
  PR1-19: Procedure Identifier (EI)Conditional
  PR1-20: Procedure Action Code (ID)Conditional
  PR1-21: DRG Procedure Determination Status (CWE)Optional
  PR1-22: DRG Procedure Relevance (CWE)Optional
  PR1-23: Treating Organizational Unit (PL)Optional
  PR1-24: Respiratory Within Surgery (ID)Optional
  PR1-25: Parent Procedure ID (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PR1()` Constructs the PR1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcedureCodeModifier(CNE ProcedureCodeModifier)` Set the Procedure Code Modifier.
    `void` | `addProcedureCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code Modifier.
    `void` | `addTissueTypeCode(CWE TissueTypeCode)` Set the Tissue Type Code.
    `void` | `addTissueTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Tissue Type Code.
    `void` | `addTreatingOrganizationalUnit(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Add the Treating Organizational Unit.
    `void` | `addTreatingOrganizationalUnit(PL objTreatingOrganizationalUnit)` Add the Treating Organizational Unit.
    `CWE` | `getAnesthesiaCode()` Retrieves the Anesthesia Code.
    `NM` | `getAnesthesiaMinutes()` Retrieves the Anesthesia Minutes.
    `CWE` | `getAssociatedDiagnosisCode()` Retrieves the Associated Diagnosis Code.
    `CWE` | `getConsentCode()` Retrieves the Consent Code.
    `CWE` | `getDRGProcedureDeterminationStatus()` Retrieves the DRG Procedure Determination Status .
    `CWE` | `getDRGProcedureRelevance()` Retrieves the DRG Procedure Relevance.
    `EI` | `getParentProcedureID()` Retrieves the Parent Procedure ID.
    `ID` | `getProcedureActionCode()` Retrieves the Procedure Action Code.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `ISingleCollection<CNE>` | `getProcedureCodeModifier()` Retrieves the Procedure Code Modifier.
    `DTM` | `getProcedureDateTime()` Retrieves the Procedure Date Time.
    `CWE` | `getProcedureDRGType()` Retrieves the Procedure DRG Type.
    `CWE` | `getProcedureFunctionalType()` Retrieves the Procedure Functional Type.
    `EI` | `getProcedureIdentifier()` Retrieves the Procedure Identifier.
    `NM` | `getProcedureMinutes()` Retrieves the Procedure Minutes.
    `NM` | `getProcedurePriority()` Retrieves the Procedure Priority.
    `ID` | `getRespiratoryWithinSurgery()` Retrieves the Respiratory Within Surgery.
    `SI` | `getSetID_PR1()` Retrieves the Set ID PR1.
    `ISingleCollection<CWE>` | `getTissueTypeCode()` Retrieves the Tissue Type Code.
    `ISingleCollection<PL>` | `getTreatingOrganizationalUnit()` Retrieves the Treating Organizational Unit.
    `void` | `setAnesthesiaCode(CWE objanesthesiaCode)` Set the Anesthesia Code.
    `void` | `setAnesthesiaCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Anesthesia Code.
    `void` | `setAnesthesiaMinutes(NM objanesthesiaMinutes)` Set the Anesthesia Minutes.
    `void` | `setAnesthesiaMinutes(java.lang.String strAnesthesiaMinutes)` Set the Anesthesia Minutes.
    `void` | `setAssociatedDiagnosisCode(CWE associatedDiagnosisCode)` Set the Associated Diagnosis Code.
    `void` | `setAssociatedDiagnosisCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Associated Diagnosis Code.
    `void` | `setConsentCode(CWE consentCode)` Set the Consent Code.
    `void` | `setConsentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Code.
    `void` | `setDRGProcedureDeterminationStatus(CWE objDRGProcedureDeterminationStatus)` Set the DRG Procedure Determination Status .
    `void` | `setDRGProcedureDeterminationStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Procedure Determination Status .
    `void` | `setDRGProcedureRelevance(CWE objDRGProcedureRelevance)` Set the DRG Procedure Relevance.
    `void` | `setDRGProcedureRelevance(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Procedure Relevance.
    `void` | `setParentProcedureID(EI ParentProcedureID)` Set the Parent Procedure ID.
    `void` | `setParentProcedureID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Procedure ID.
    `void` | `setProcedureActionCode(ID objprocedureActionCode)` Set the Procedure Action Code.
    `void` | `setProcedureActionCode(java.lang.String strProcedureActionCode)` Set the Procedure Action Code.
    `void` | `setProcedureCode(CNE procedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifier)` Set the ProcedureCodeModifier list.
    `void` | `setProcedureDateTime(DTM procedureDateTime)` Set the Procedure Date Time.
    `void` | `setProcedureDateTime(java.lang.String strTime)` Set the Procedure Date Time.
    `void` | `setProcedureDRGType(CWE objprocedureDRGType)` Set the Procedure DRG Type.
    `void` | `setProcedureDRGType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure DRG Type.
    `void` | `setProcedureFunctionalType(CWE objprocedureFunctionalType)` Set the Procedure Functional Type.
    `void` | `setProcedureFunctionalType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Functional Type.
    `void` | `setProcedureIdentifier(EI procedureIdentifier)` Set the Procedure Identifier.
    `void` | `setProcedureIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Procedure Identifier.
    `void` | `setProcedureMinutes(NM objprocedureMinutes)` Set the Procedure Minutes.
    `void` | `setProcedureMinutes(java.lang.String strProcedureMinutes)` Set the Procedure Minutes.
    `void` | `setProcedurePriority(NM objprocedurePriority)` Set the Procedure Priority.
    `void` | `setProcedurePriority(java.lang.String strProcedurePriority)` Set the Procedure Priority.
    `void` | `setRespiratoryWithinSurgery(ID objRespiratoryWithinSurgery)` Set the Respiratory Within Surgery.
    `void` | `setRespiratoryWithinSurgery(java.lang.String strRespiratoryWithinSurgery)` Set the Respiratory Within Surgery.
    `void` | `setSetID_PR1(SI objsetID_PR1)` Set the Set ID PR1.
    `void` | `setSetID_PR1(java.lang.String strSetID_PR1)` Set the Set ID PR1.
    `void` | `setTissueTypeCode(ISingleCollection<CWE> objTissueTypeCode)` Set the TissueTypeCode list.
    `void` | `setTreatingOrganizationalUnit(ISingleCollection<PL> objTreatingOrganizationalUnitList)` Set the Treating Organizational Unit.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PR1

          public PR1()

      Constructs the PR1 segment.

  - ### Method Detail

    - #### getAnesthesiaCode

          public CWE getAnesthesiaCode()

      Retrieves the Anesthesia Code. This field contains a unique identifier of the anesthesia used during the procedure.
      Returns:
        String - anesthesiaCode

    - #### getAnesthesiaMinutes

          public NM getAnesthesiaMinutes()

      Retrieves the Anesthesia Minutes. This field contains the length of time in minutes that the anesthesia is administered.
      Returns:
        String - anesthesiaMinutes

    - #### getAssociatedDiagnosisCode

          public CWE getAssociatedDiagnosisCode()

      Retrieves the Associated Diagnosis Code. This field contains the diagnosis that is the primary reason this procedure is performed.
      Returns:
        CWE - associatedDiagnosisCode

    - #### getConsentCode

          public CWE getConsentCode()

      Retrieves the Consent Code. This field contains the type of consent that is obtained for permission to treat the patient.
      Returns:
        CNE - consentCode

    - #### getProcedureActionCode

          public ID getProcedureActionCode()

      Retrieves the Procedure Action Code.
      Returns:
        String - procedureActionCode

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. This field contains a unique identifier assigned to the procedure.
      Returns:
        CNE - procedureCode

    - #### getProcedureCodeModifier

          public ISingleCollection<CNE> getProcedureCodeModifier()

      Retrieves the Procedure Code Modifier.
      Returns:
        ISingleCollection - procedureCodeModifier

    - #### getProcedureDateTime

          public DTM getProcedureDateTime()

      Retrieves the Procedure Date Time.
      Returns:
        DTM - procedureDateTime

    - #### getProcedureDRGType

          public CWE getProcedureDRGType()

      Retrieves the Procedure DRG Type. This field indicates a procedure's priority ranking relative to its DRG.
      Returns:
        String - procedureDRGType

    - #### getProcedureFunctionalType

          public CWE getProcedureFunctionalType()

      Retrieves the Procedure Functional Type. This field contains the optional code that further defines the type of procedure.
      Returns:
        String - procedureFunctionalType

    - #### getProcedureIdentifier

          public EI getProcedureIdentifier()

      Retrieves the Procedure Identifier. This field contains a value that uniquely identifies a single procedure for an encounter.
      Returns:
        EI - procedureIdentifier

    - #### getProcedureMinutes

          public NM getProcedureMinutes()

      Retrieves the Procedure Minutes. This indicates the length of time in whole minutes that the procedure took to complete.
      Returns:
        String - procedureMinutes

    - #### getProcedurePriority

          public NM getProcedurePriority()

      Retrieves the Procedure Priority. This field contains a number that identifies the significance or priority of the procedure code.
      Returns:
        String - procedurePriority

    - #### getSetID_PR1

          public SI getSetID_PR1()

      Retrieves the Set ID PR1. This field contains the number that identifies this transaction.
      Returns:
        String - setID_PR1

    - #### getTissueTypeCode

          public ISingleCollection<CWE> getTissueTypeCode()

      Retrieves the Tissue Type Code. This field contains code representing type of tissue removed from a patient during this procedure.
      Returns:
        ISingleCollection - tissueTypeCode

    - #### getDRGProcedureDeterminationStatus

          public CWE getDRGProcedureDeterminationStatus()

      Retrieves the DRG Procedure Determination Status . This field contains the status of the use of this particular procedure for the DRG determination.
      Returns:
        String - DRGProcedureDeterminationStatus

    - #### getDRGProcedureRelevance

          public CWE getDRGProcedureRelevance()

      Retrieves the DRG Procedure Relevance. This field contains the relevance of this particular procedure for the DRG determination.
      Returns:
        String - DRGProcedureRelevance

    - #### getTreatingOrganizationalUnit

          public ISingleCollection<PL> getTreatingOrganizationalUnit()

      Retrieves the Treating Organizational Unit. This field contains information about the organizational unit that has performed the procedure.
      Returns:
        ISingleCollection - TreatingOrganizationalUnit

    - #### getRespiratoryWithinSurgery

          public ID getRespiratoryWithinSurgery()

      Retrieves the Respiratory Within Surgery. This field indicates whether or not a respiratory procedure has occurred during a surgery.
      Returns:
        String - RespiratoryWithinSurgery

    - #### getParentProcedureID

          public EI getParentProcedureID()

      Retrieves the Parent Procedure ID. This field contains a procedure ID which points to the procedure group (e.g., complete surgery) in which this instance belongs.
      Returns:
        EI - ParentProcedureID

    - #### setAnesthesiaCode

          public void setAnesthesiaCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Anesthesia Code. This field contains a unique identifier of the anesthesia used during the procedure.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAnesthesiaCode

          public void setAnesthesiaCode(CWE objanesthesiaCode)

      Set the Anesthesia Code. This field contains a unique identifier of the anesthesia used during the procedure.
      Parameters:
        `objanesthesiaCode` - Use as AnesthesiaCode.

    - #### setAnesthesiaMinutes

          public void setAnesthesiaMinutes(java.lang.String strAnesthesiaMinutes)

      Set the Anesthesia Minutes. This field contains the length of time in minutes that the anesthesia is administered.
      Parameters:
        `strAnesthesiaMinutes` - Use as AnesthesiaMinutes.

    - #### setAnesthesiaMinutes

          public void setAnesthesiaMinutes(NM objanesthesiaMinutes)

      Set the Anesthesia Minutes. This field contains the length of time in minutes that the anesthesia is administered.
      Parameters:
        `objanesthesiaMinutes` - Use as AnesthesiaMinutes.

    - #### setAssociatedDiagnosisCode

          public void setAssociatedDiagnosisCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Associated Diagnosis Code. This field contains the diagnosis that is the primary reason this procedure is performed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAssociatedDiagnosisCode

          public void setAssociatedDiagnosisCode(CWE associatedDiagnosisCode)

      Set the Associated Diagnosis Code. This field contains the diagnosis that is the primary reason this procedure is performed.
      Parameters:
        `associatedDiagnosisCode` - Associated Diagnosis Code.

    - #### setConsentCode

          public void setConsentCode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Code. This field contains the type of consent that is obtained for permission to treat the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentCode

          public void setConsentCode(CWE consentCode)

      Set the Consent Code. This field contains the type of consent that is obtained for permission to treat the patient.
      Parameters:
        `consentCode` - Consent Code.

    - #### setProcedureActionCode

          public void setProcedureActionCode(java.lang.String strProcedureActionCode)

      Set the Procedure Action Code.
      Parameters:
        `strProcedureActionCode` - Use as ProcedureActionCode.

    - #### setProcedureActionCode

          public void setProcedureActionCode(ID objprocedureActionCode)

      Set the Procedure Action Code.
      Parameters:
        `objprocedureActionCode` - Use as ProcedureActionCode.

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE procedureCode)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure.
      Parameters:
        `procedureCode` - Procedure Code.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code Modifier.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(CNE ProcedureCodeModifier)

      Set the Procedure Code Modifier.
      Parameters:
        `ProcedureCodeModifier` - Procedure Code Modifier.

    - #### setProcedureCodeModifier

          public void setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifier)

      Set the ProcedureCodeModifier list. This field define the action to be taken for this diagnosis.
      Parameters:
        `objProcedureCodeModifier` - List of ProcedureCodeModifier

    - #### setProcedureDateTime

          public void setProcedureDateTime(java.lang.String strTime)

      Set the Procedure Date Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setProcedureDateTime

          public void setProcedureDateTime(DTM procedureDateTime)

      Set the Procedure Date Time.
      Parameters:
        `procedureDateTime` - Procedure Date Time.

    - #### setProcedureDRGType

          public void setProcedureDRGType(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure DRG Type. This field indicates a procedure's priority ranking relative to its DRG.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProcedureDRGType

          public void setProcedureDRGType(CWE objprocedureDRGType)

      Set the Procedure DRG Type. This field indicates a procedure's priority ranking relative to its DRG.
      Parameters:
        `objprocedureDRGType` - Use as ProcedureDRGType.

    - #### setProcedureFunctionalType

          public void setProcedureFunctionalType(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Functional Type. This field contains the optional code that further defines the type of procedure.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProcedureFunctionalType

          public void setProcedureFunctionalType(CWE objprocedureFunctionalType)

      Set the Procedure Functional Type. This field contains the optional code that further defines the type of procedure.
      Parameters:
        `objprocedureFunctionalType` - Use as ProcedureFunctionalType.

    - #### setProcedureIdentifier

          public void setProcedureIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Procedure Identifier. This field contains a value that uniquely identifies a single procedure for an encounter.
      Parameters:
        `strEntityIdentifier` - Use as EntityIdentifier.
        `strNamespaceId` - Use as NamespaceId.
        `strUniversalId` - Use as UniversalId.
        `strUniversalIdType` - Use as UniversalIdType.

    - #### setProcedureIdentifier

          public void setProcedureIdentifier(EI procedureIdentifier)

      Set the Procedure Identifier. This field contains a value that uniquely identifies a single procedure for an encounter.
      Parameters:
        `procedureIdentifier` - Procedure Identifier.

    - #### setProcedureMinutes

          public void setProcedureMinutes(java.lang.String strProcedureMinutes)

      Set the Procedure Minutes. This indicates the length of time in whole minutes that the procedure took to complete.
      Parameters:
        `strProcedureMinutes` - Use as ProcedureMinutes.

    - #### setProcedureMinutes

          public void setProcedureMinutes(NM objprocedureMinutes)

      Set the Procedure Minutes. This indicates the length of time in whole minutes that the procedure took to complete.
      Parameters:
        `objprocedureMinutes` - Use as ProcedureMinutes.

    - #### setProcedurePriority

          public void setProcedurePriority(java.lang.String strProcedurePriority)

      Set the Procedure Priority. This field contains a number that identifies the significance or priority of the procedure code.
      Parameters:
        `strProcedurePriority` - Use as ProcedurePriority.

    - #### setProcedurePriority

          public void setProcedurePriority(NM objprocedurePriority)

      Set the Procedure Priority. This field contains a number that identifies the significance or priority of the procedure code.
      Parameters:
        `objprocedurePriority` -

    - #### setSetID_PR1

          public void setSetID_PR1(java.lang.String strSetID_PR1)

      Set the Set ID PR1. This field contains the number that identifies this transaction.
      Parameters:
        `strSetID_PR1` - Use as SetID_PR1.

    - #### setSetID_PR1

          public void setSetID_PR1(SI objsetID_PR1)

      Set the Set ID PR1. This field contains the number that identifies this transaction.
      Parameters:
        `strSetID_PR1` - Use as SetID_PR1.

    - #### addTissueTypeCode

          public void addTissueTypeCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Tissue Type Code. This field contains code representing type of tissue removed from a patient during this procedure.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addTissueTypeCode

          public void addTissueTypeCode(CWE TissueTypeCode)

      Set the Tissue Type Code. This field contains code representing type of tissue removed from a patient during this procedure.
      Parameters:
        `TissueTypeCode` - Tissue Type Code.

    - #### setTissueTypeCode

          public void setTissueTypeCode(ISingleCollection<CWE> objTissueTypeCode)

      Set the TissueTypeCode list. This field define the action to be taken for this diagnosis.
      Parameters:
        `objTissueTypeCode` - List of TissueTypeCode

    - #### setDRGProcedureDeterminationStatus

          public void setDRGProcedureDeterminationStatus(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Procedure Determination Status . This field contains the status of the use of this particular procedure for the DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGProcedureDeterminationStatus

          public void setDRGProcedureDeterminationStatus(CWE objDRGProcedureDeterminationStatus)

      Set the DRG Procedure Determination Status . This field contains the status of the use of this particular procedure for the DRG determination.
      Parameters:
        `objDRGProcedureDeterminationStatusThis` - field contains the status of the use of this particular procedure for the DRG determination.

    - #### setDRGProcedureRelevance

          public void setDRGProcedureRelevance(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Procedure Relevance. This field contains the relevance of this particular procedure for the DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGProcedureRelevance

          public void setDRGProcedureRelevance(CWE objDRGProcedureRelevance)

      Set the DRG Procedure Relevance. This field contains the relevance of this particular procedure for the DRG determination.
      Parameters:
        `objDRGProcedureRelevance` -

    - #### addTreatingOrganizationalUnit

          public void addTreatingOrganizationalUnit(HD objPointOfCare,
                                           HD objRoom,
                                           HD objBed,
                                           HD objFacility,
                                           java.lang.String strLocationStatus,
                                           java.lang.String strPersonLocationType,
                                           HD objBuilding,
                                           HD objFloor,
                                           java.lang.String strLocationDescription,
                                           EI objComprehensiveLocationIdentifier,
                                           HD objAssigningAuthorityForLocation)

      Add the Treating Organizational Unit. This field contains information about the organizational unit that has performed the procedure.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### addTreatingOrganizationalUnit

          public void addTreatingOrganizationalUnit(PL objTreatingOrganizationalUnit)

      Add the Treating Organizational Unit. This field contains information about the organizational unit that has performed the procedure.
      Parameters:
        `objTreatingOrganizationalUnit` - Object of Treating Organizational Unit.

    - #### setTreatingOrganizationalUnit

          public void setTreatingOrganizationalUnit(ISingleCollection<PL> objTreatingOrganizationalUnitList)

      Set the Treating Organizational Unit. This field contains information about the organizational unit that has performed the procedure.
      Parameters:
        `objTreatingOrganizationalUnitList` - List of Treating Organizational Unit.

    - #### setRespiratoryWithinSurgery

          public void setRespiratoryWithinSurgery(java.lang.String strRespiratoryWithinSurgery)

      Set the Respiratory Within Surgery. This field indicates whether or not a respiratory procedure has occurred during a surgery.
      Parameters:
        `strRespiratoryWithinSurgery` - Use as RespiratoryWithinSurgery.

    - #### setRespiratoryWithinSurgery

          public void setRespiratoryWithinSurgery(ID objRespiratoryWithinSurgery)

      Set the Respiratory Within Surgery. This field indicates whether or not a respiratory procedure has occurred during a surgery.
      Parameters:
        `objRespiratoryWithinSurgery` - object of Respiratory Within Surgery.

    - #### setParentProcedureID

          public void setParentProcedureID(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Parent Procedure ID. This field contains a procedure ID which points to the procedure group (e.g., complete surgery) in which this instance belongs.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setParentProcedureID

          public void setParentProcedureID(EI ParentProcedureID)

      Set the Parent Procedure ID. This field contains a procedure ID which points to the procedure group (e.g., complete surgery) in which this instance belongs.
      Parameters:
        `ParentProcedureID` - Parent Procedure ID.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.